nlohmann::detail::external_constructor< value_t::string > Struct Reference

`#include <json.hpp>`

## Static Public Member Functions

template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const typename BasicJsonType::string_t &s)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::string_t &&s)
template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< not std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>
static void | construct (BasicJsonType &j, const CompatibleStringType &str)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const typename BasicJsonType::string_t &s)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::string_t &&s)
template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< !std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>
static void | construct (BasicJsonType &j, const CompatibleStringType &str)

## Member Function Documentation

## construct() [1/6]

template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< not std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const CompatibleStringType & | str
| ) |  |

inlinestatic

## construct() [2/6]

template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< !std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const CompatibleStringType & | str
| ) |  |

inlinestatic

## construct() [3/6]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const typename BasicJsonType::string_t & | s
| ) |  |

inlinestatic

## construct() [4/6]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const typename BasicJsonType::string_t & | s
| ) |  |

inlinestatic

## construct() [5/6]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::string_t && | s
| ) |  |

inlinestatic

## construct() [6/6]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::string_t && | s
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp